This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748228 - [abrt] gigolo-0.4.1-2.fc15: Process /usr/bin/gigolo was killed by signal 11 (SIGSEGV)
[abrt] gigolo-0.4.1-2.fc15: Process /usr/bin/gigolo was killed by signal 11 (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gigolo (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:945eec0ddbdf83ff0881c4d47b8...
:
Depends On:
Blocks: F16Blocker-xfce
  Show dependency treegraph
 
Reported: 2011-10-23 08:48 EDT by Christoph Wickert
Modified: 2011-10-24 23:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: gigolo-0.4.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 23:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: coredump (2.89 MB, text/plain)
2011-10-23 08:49 EDT, Christoph Wickert
no flags Details
File: backtrace (26.34 KB, text/plain)
2011-10-23 08:49 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Christoph Wickert 2011-10-23 08:48:02 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        gigolo
crash_function: gtk_widget_propagate_hierarchy_changed_recurse
executable:     /usr/bin/gigolo
kernel:         3.1.0-0.rc10.git0.1.fc16.i686
reason:         Process /usr/bin/gigolo was killed by signal 11 (SIGSEGV)
time:           Sun Oct 23 08:38:50 2011
uid:            1000
username:       liveuser

backtrace:      Text file, 26974 bytes

comment:
:1. Boot F16 Final TC2 LXDE
:2. Start Gigolo
:3. Use the 'exit' icon to quit -> BOOM!

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.i686 (Fedora Project) 1319128751
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.10.0-1.fc16.i686 (Fedora Project) 1319128825
:/usr/lib/libgtk-x11-2.0.so.0.2400.7 gtk2-2.24.7-1.fc16.i686 (Fedora Project) 1319128867
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1319128776
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1319128753
:/usr/lib/libgdk-x11-2.0.so.0.2400.7 gtk2-2.24.7-1.fc16.i686 (Fedora Project) 1319128867
:/usr/lib/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1319128757
:/lib/librt-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.i686 (Fedora Project) 1319128771
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.1-1.fc16.noarch (Fedora Project) 1319128778
:/usr/lib/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1319128867
:/usr/lib/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1319128867
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1319128753
:/lib/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1319128755
:/usr/lib/locale/locale-archive glibc-common-2.14.90-13.i686 (Fedora Project) 1319128748
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1319128753
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1319128753
:/usr/lib/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.i686 (Fedora Project) 1319128867
:/lib/libpthread-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1319128753
:/lib/libselinux.so.1 libselinux-2.1.5-5.1.fc16.i686 (Fedora Project) 1319128751
:/lib/libdl-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.i686 (Fedora Project) 1319128751
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.10.0-1.fc16.i686 (Fedora Project) 1319128825
:/lib/libc-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/lib/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1319128755
:/lib/libm-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1319128753
:/usr/lib/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.i686 (Fedora Project) 1319128753
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.i686 (Fedora Project) 1319128773
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1319128754
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1319128753
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1319128752
:/lib/libutil-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-3.fc16.i686 (Fedora Project) 1319128753
:/lib/libz.so.1.2.5 zlib-1.2.5-4.fc16.i686 (Fedora Project) 1319128751
:/lib/libnss_files-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.10.0-1.fc16.i686 (Fedora Project) 1319128825
:/lib/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1319128755
:/lib/libresolv-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/usr/lib/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.i686 (Fedora Project) 1319128751
:/usr/bin/gigolo gigolo-0.4.1-2.fc15.i686 (Fedora Project) 1319128901
:/usr/lib/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.i686 (Fedora Project) 1319128755
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1319128754
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.1-10.fc16.i686 (Fedora Project) 1319128752
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1319128753
:/lib/libgcc_s-4.6.1-20111002.so.1 libgcc-4.6.1-10.fc16.i686 (Fedora Project) 1319128743
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1319128753
:/lib/libudev.so.0.12.0 libudev-173-3.fc16.i686 (Fedora Project) 1319128752
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1319128754
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1319128834
:/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.i686 (Fedora Project) 1319128889
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1319128753
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.i686 (Fedora Project) 1319128774
:/lib/ld-2.14.90.so glibc-2.14.90-13.i686 (Fedora Project) 1319128749
:/lib/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1319128755
:/lib/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1319128755

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1122
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=f50e4e0fc6538151fc4f6e730000000d-1319370014.886997-142426715
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-Ec1gTZ
:IMSETTINGS_MODULE=none
:USER=liveuser
:initrd=initrd0.img
:SSH_AUTH_SOCK=/tmp/ssh-OzOkDpfE1013/agent.1013
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/liveuser/.local/bin:/home/liveuser/bin
:MAIL=/var/spool/mail/liveuser
:QT_IM_MODULE=xim
:PWD=/home/liveuser
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=946
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/liveuser
:SHLVL=1
:XDG_CONFIG_HOME=/home/liveuser/.config
:BOOT_IMAGE=vmlinuz0
:LOGNAME=liveuser
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nQmWj7sV5w,guid=a1fcdadf2d821248849830a60000001f
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/liveuser
:DISPLAY=:0
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/home/liveuser/.Xauthority
:_LXSESSION_PID=1013
:XDG_CURRENT_DESKTOP=LXDE

maps:
:00110000-0012e000 r-xp 00000000 fd:00 6381       /usr/lib/libatk-1.0.so.0.20209.1
:0012e000-00130000 r--p 0001d000 fd:00 6381       /usr/lib/libatk-1.0.so.0.20209.1
:00130000-00131000 rw-p 0001f000 fd:00 6381       /usr/lib/libatk-1.0.so.0.20209.1
:00131000-00159000 r-xp 00000000 fd:00 5712       /usr/lib/libpng12.so.0.46.0
:00159000-0015a000 r--p 00027000 fd:00 5712       /usr/lib/libpng12.so.0.46.0
:0015a000-0015b000 rw-p 00028000 fd:00 5712       /usr/lib/libpng12.so.0.46.0
:0015b000-00184000 r-xp 00000000 fd:00 5533       /lib/libm-2.14.90.so
:00184000-00185000 r--p 00028000 fd:00 5533       /lib/libm-2.14.90.so
:00185000-00186000 rw-p 00029000 fd:00 5533       /lib/libm-2.14.90.so
:00186000-00189000 r-xp 00000000 fd:00 6276       /lib/libgmodule-2.0.so.0.3000.1
:00189000-0018a000 r--p 00002000 fd:00 6276       /lib/libgmodule-2.0.so.0.3000.1
:0018a000-0018b000 rw-p 00003000 fd:00 6276       /lib/libgmodule-2.0.so.0.3000.1
:0018b000-0018f000 r-xp 00000000 fd:00 6280       /lib/libgthread-2.0.so.0.3000.1
:0018f000-00190000 r--p 00003000 fd:00 6280       /lib/libgthread-2.0.so.0.3000.1
:00190000-00191000 rw-p 00004000 fd:00 6280       /lib/libgthread-2.0.so.0.3000.1
:00191000-00199000 r-xp 00000000 fd:00 5555       /lib/librt-2.14.90.so
:00199000-0019a000 r--p 00007000 fd:00 5555       /lib/librt-2.14.90.so
:0019a000-0019b000 rw-p 00008000 fd:00 5555       /lib/librt-2.14.90.so
:0019b000-0019f000 r-xp 00000000 fd:00 6098       /usr/lib/libXfixes.so.3.1.0
:0019f000-001a0000 rw-p 00003000 fd:00 6098       /usr/lib/libXfixes.so.3.1.0
:001a0000-001a9000 r-xp 00000000 fd:00 6096       /usr/lib/libXrender.so.1.3.0
:001a9000-001aa000 rw-p 00008000 fd:00 6096       /usr/lib/libXrender.so.1.3.0
:001aa000-001ac000 r-xp 00000000 fd:00 6103       /usr/lib/libXinerama.so.1.0.0
:001ac000-001ad000 rw-p 00001000 fd:00 6103       /usr/lib/libXinerama.so.1.0.0
:001ad000-001b4000 r-xp 00000000 fd:00 6109       /usr/lib/libXrandr.so.2.2.0
:001b4000-001b5000 rw-p 00006000 fd:00 6109       /usr/lib/libXrandr.so.2.2.0
:001b6000-001b7000 r-xp 00000000 00:00 0          [vdso]
:001b7000-00270000 r-xp 00000000 fd:00 33468      /usr/lib/libgdk-x11-2.0.so.0.2400.7
:00270000-00272000 r--p 000b9000 fd:00 33468      /usr/lib/libgdk-x11-2.0.so.0.2400.7
:00272000-00273000 rw-p 000bb000 fd:00 33468      /usr/lib/libgdk-x11-2.0.so.0.2400.7
:00273000-003b4000 r-xp 00000000 fd:00 6272       /lib/libgio-2.0.so.0.3000.1
:003b4000-003b6000 r--p 00141000 fd:00 6272       /lib/libgio-2.0.so.0.3000.1
:003b6000-003b7000 rw-p 00143000 fd:00 6272       /lib/libgio-2.0.so.0.3000.1
:003b7000-003b8000 rw-p 00000000 00:00 0 
:003b8000-0046c000 r-xp 00000000 fd:00 12189      /usr/lib/libcairo.so.2.11000.2
:0046c000-0046d000 r--p 000b4000 fd:00 12189      /usr/lib/libcairo.so.2.11000.2
:0046d000-0046e000 rw-p 000b5000 fd:00 12189      /usr/lib/libcairo.so.2.11000.2
:0046e000-00470000 rw-p 00000000 00:00 0 
:00470000-004b8000 r-xp 00000000 fd:00 33448      /usr/lib/libpango-1.0.so.0.2904.0
:004b8000-004b9000 ---p 00048000 fd:00 33448      /usr/lib/libpango-1.0.so.0.2904.0
:004b9000-004ba000 r--p 00048000 fd:00 33448      /usr/lib/libpango-1.0.so.0.2904.0
:004ba000-004bb000 rw-p 00049000 fd:00 33448      /usr/lib/libpango-1.0.so.0.2904.0
:004bb000-00507000 r-xp 00000000 fd:00 6278       /lib/libgobject-2.0.so.0.3000.1
:00507000-00508000 r--p 0004c000 fd:00 6278       /lib/libgobject-2.0.so.0.3000.1
:00508000-00509000 rw-p 0004d000 fd:00 6278       /lib/libgobject-2.0.so.0.3000.1
:00509000-00517000 r-xp 00000000 fd:00 6105       /usr/lib/libXi.so.6.1.0
:00517000-00518000 r--p 0000d000 fd:00 6105       /usr/lib/libXi.so.6.1.0
:00518000-00519000 rw-p 0000e000 fd:00 6105       /usr/lib/libXi.so.6.1.0
:00519000-00522000 r-xp 00000000 fd:00 6115       /usr/lib/libXcursor.so.1.0.2
:00522000-00523000 rw-p 00008000 fd:00 6115       /usr/lib/libXcursor.so.1.0.2
:00523000-00525000 r-xp 00000000 fd:00 6167       /usr/lib/libXcomposite.so.1.0.0
:00525000-00526000 rw-p 00001000 fd:00 6167       /usr/lib/libXcomposite.so.1.0.0
:00526000-00528000 r-xp 00000000 fd:00 6132       /usr/lib/libXdamage.so.1.1.0
:00528000-00529000 rw-p 00001000 fd:00 6132       /usr/lib/libXdamage.so.1.1.0
:00529000-0052e000 r-xp 00000000 fd:00 6262       /usr/lib/libffi.so.5.0.10
:0052e000-0052f000 r--p 00005000 fd:00 6262       /usr/lib/libffi.so.5.0.10
:0052f000-00530000 rw-p 00006000 fd:00 6262       /usr/lib/libffi.so.5.0.10
:00530000-00533000 r-xp 00000000 fd:00 5531       /lib/libdl-2.14.90.so
:00533000-00534000 r--p 00002000 fd:00 5531       /lib/libdl-2.14.90.so
:00534000-00535000 rw-p 00003000 fd:00 5531       /lib/libdl-2.14.90.so
:00535000-00553000 r-xp 00000000 fd:00 5598       /lib/libselinux.so.1
:00553000-00554000 r--p 0001d000 fd:00 5598       /lib/libselinux.so.1
:00554000-00555000 rw-p 0001e000 fd:00 5598       /lib/libselinux.so.1
:00555000-0056c000 r-xp 00000000 fd:00 5553       /lib/libresolv-2.14.90.so
:0056c000-0056d000 r--p 00016000 fd:00 5553       /lib/libresolv-2.14.90.so
:0056d000-0056e000 rw-p 00017000 fd:00 5553       /lib/libresolv-2.14.90.so
:0056e000-00570000 rw-p 00000000 00:00 0 
:00570000-00596000 r-xp 00000000 fd:00 6004       /lib/libexpat.so.1.5.2
:00596000-00598000 rw-p 00026000 fd:00 6004       /lib/libexpat.so.1.5.2
:00598000-005b5000 r-xp 00000000 fd:00 6088       /usr/lib/libxcb.so.1.1.0
:005b5000-005b6000 rw-p 0001d000 fd:00 6088       /usr/lib/libxcb.so.1.1.0
:005b6000-005d2000 r-xp 00000000 fd:00 4895       /lib/libgcc_s-4.6.1-20111002.so.1
:005d2000-005d3000 rw-p 0001b000 fd:00 4895       /lib/libgcc_s-4.6.1-20111002.so.1
:005d3000-005d5000 r-xp 00000000 fd:00 6044       /usr/lib/libXau.so.6.0.0
:005d5000-005d6000 rw-p 00001000 fd:00 6044       /usr/lib/libXau.so.6.0.0
:005d6000-005d8000 r-xp 00000000 fd:00 5559       /lib/libutil-2.14.90.so
:005d8000-005d9000 r--p 00001000 fd:00 5559       /lib/libutil-2.14.90.so
:005d9000-005da000 rw-p 00002000 fd:00 5559       /lib/libutil-2.14.90.so
:005de000-00a7e000 r-xp 00000000 fd:00 33470      /usr/lib/libgtk-x11-2.0.so.0.2400.7
:00a7e000-00a82000 r--p 004a0000 fd:00 33470      /usr/lib/libgtk-x11-2.0.so.0.2400.7
:00a82000-00a84000 rw-p 004a4000 fd:00 33470      /usr/lib/libgtk-x11-2.0.so.0.2400.7
:00a84000-00a86000 rw-p 00000000 00:00 0 
:00a86000-00a91000 r-xp 00000000 fd:00 5543       /lib/libnss_files-2.14.90.so
:00a91000-00a92000 r--p 0000a000 fd:00 5543       /lib/libnss_files-2.14.90.so
:00a92000-00a93000 rw-p 0000b000 fd:00 5543       /lib/libnss_files-2.14.90.so
:00a93000-00aa6000 r-xp 00000000 fd:00 31692      /usr/lib/gio/modules/libgioremote-volume-monitor.so
:00aa6000-00aa7000 r--p 00012000 fd:00 31692      /usr/lib/gio/modules/libgioremote-volume-monitor.so
:00aa7000-00aa8000 rw-p 00013000 fd:00 31692      /usr/lib/gio/modules/libgioremote-volume-monitor.so
:00aa8000-00ab7000 r-xp 00000000 fd:00 5860       /lib/libudev.so.0.12.0
:00ab7000-00ab8000 r--p 0000e000 fd:00 5860       /lib/libudev.so.0.12.0
:00ab8000-00ab9000 rw-p 0000f000 fd:00 5860       /lib/libudev.so.0.12.0
:00abc000-00bf1000 r-xp 00000000 fd:00 6092       /usr/lib/libX11.so.6.3.0
:00bf1000-00bf5000 rw-p 00134000 fd:00 6092       /usr/lib/libX11.so.6.3.0
:00bf9000-00c04000 r-xp 00000000 fd:00 33450      /usr/lib/libpangocairo-1.0.so.0.2904.0
:00c04000-00c05000 r--p 0000a000 fd:00 33450      /usr/lib/libpangocairo-1.0.so.0.2904.0
:00c05000-00c06000 rw-p 0000b000 fd:00 33450      /usr/lib/libpangocairo-1.0.so.0.2904.0
:00c06000-00c34000 r-xp 00000000 fd:00 66607      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:00c34000-00c35000 rw-p 0002d000 fd:00 66607      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:00c35000-00c4b000 r-xp 00000000 fd:00 31697      /usr/lib/libgvfscommon.so.0.0.0
:00c4b000-00c4c000 r--p 00015000 fd:00 31697      /usr/lib/libgvfscommon.so.0.0.0
:00c4c000-00c4d000 rw-p 00016000 fd:00 31697      /usr/lib/libgvfscommon.so.0.0.0
:00c4e000-00c5e000 r-xp 00000000 fd:00 6094       /usr/lib/libXext.so.6.4.0
:00c5e000-00c5f000 rw-p 00010000 fd:00 6094       /usr/lib/libXext.so.6.4.0
:00c5f000-00c8a000 r-xp 00000000 fd:00 11494      /usr/lib/libbluray.so.0.0.0
:00c8a000-00c8b000 r--p 0002b000 fd:00 11494      /usr/lib/libbluray.so.0.0.0
:00c8b000-00c8c000 rw-p 0002c000 fd:00 11494      /usr/lib/libbluray.so.0.0.0
:00c8c000-00cad000 r-xp 00000000 fd:00 5518       /lib/ld-2.14.90.so
:00cad000-00cae000 r--p 00020000 fd:00 5518       /lib/ld-2.14.90.so
:00cae000-00caf000 rw-p 00021000 fd:00 5518       /lib/ld-2.14.90.so
:00caf000-00cd9000 r-xp 00000000 fd:00 31693      /usr/lib/gio/modules/libgvfsdbus.so
:00cd9000-00cda000 r--p 00029000 fd:00 31693      /usr/lib/gio/modules/libgvfsdbus.so
:00cda000-00cdb000 rw-p 0002a000 fd:00 31693      /usr/lib/gio/modules/libgvfsdbus.so
:00ce0000-00e00000 r-xp 00000000 fd:00 6274       /lib/libglib-2.0.so.0.3000.1
:00e00000-00e01000 r--p 0011f000 fd:00 6274       /lib/libglib-2.0.so.0.3000.1
:00e01000-00e02000 rw-p 00120000 fd:00 6274       /lib/libglib-2.0.so.0.3000.1
:00e45000-00e5a000 r-xp 00000000 fd:00 5708       /lib/libz.so.1.2.5
:00e5a000-00e5b000 rw-p 00014000 fd:00 5708       /lib/libz.so.1.2.5
:00e5e000-00e91000 r-xp 00000000 fd:00 12178      /usr/lib/libfontconfig.so.1.4.4
:00e91000-00e92000 rw-p 00033000 fd:00 12178      /usr/lib/libfontconfig.so.1.4.4
:00eaf000-00f47000 r-xp 00000000 fd:00 5706       /usr/lib/libfreetype.so.6.7.1
:00f47000-00f4b000 r--p 00097000 fd:00 5706       /usr/lib/libfreetype.so.6.7.1
:00f4b000-00f4c000 rw-p 0009b000 fd:00 5706       /usr/lib/libfreetype.so.6.7.1
:00f61000-00f78000 r-xp 00000000 fd:00 5551       /lib/libpthread-2.14.90.so
:00f78000-00f79000 r--p 00016000 fd:00 5551       /lib/libpthread-2.14.90.so
:00f79000-00f7a000 rw-p 00017000 fd:00 5551       /lib/libpthread-2.14.90.so
:00f7a000-00f7c000 rw-p 00000000 00:00 0 
:00f84000-00fa6000 r-xp 00000000 fd:00 6738       /usr/lib/libgdk_pixbuf-2.0.so.0.2400.0
:00fa6000-00fa7000 r--p 00021000 fd:00 6738       /usr/lib/libgdk_pixbuf-2.0.so.0.2400.0
:00fa7000-00fa8000 rw-p 00022000 fd:00 6738       /usr/lib/libgdk_pixbuf-2.0.so.0.2400.0
:00fbe000-00fea000 r-xp 00000000 fd:00 33452      /usr/lib/libpangoft2-1.0.so.0.2904.0
:00fea000-00feb000 r--p 0002b000 fd:00 33452      /usr/lib/libpangoft2-1.0.so.0.2904.0
:00feb000-00fec000 rw-p 0002c000 fd:00 33452      /usr/lib/libpangoft2-1.0.so.0.2904.0
:00fec000-01191000 r-xp 00000000 fd:00 5525       /lib/libc-2.14.90.so
:01191000-01193000 r--p 001a5000 fd:00 5525       /lib/libc-2.14.90.so
:01193000-01194000 rw-p 001a7000 fd:00 5525       /lib/libc-2.14.90.so
:01194000-01197000 rw-p 00000000 00:00 0 
:03e0d000-03f55000 r-xp 00000000 fd:00 5717       /usr/lib/libxml2.so.2.7.8
:03f55000-03f5a000 rw-p 00147000 fd:00 5717       /usr/lib/libxml2.so.2.7.8
:03f5a000-03f5b000 rw-p 00000000 00:00 0 
:043b5000-04494000 r-xp 00000000 fd:00 5722       /usr/lib/libstdc++.so.6.0.16
:04494000-04498000 r--p 000df000 fd:00 5722       /usr/lib/libstdc++.so.6.0.16
:04498000-04499000 rw-p 000e3000 fd:00 5722       /usr/lib/libstdc++.so.6.0.16
:04499000-044a0000 rw-p 00000000 00:00 0 
:06318000-06360000 r-xp 00000000 fd:00 5724       /lib/libdbus-1.so.3.5.6
:06360000-06361000 r--p 00047000 fd:00 5724       /lib/libdbus-1.so.3.5.6
:06361000-06362000 rw-p 00048000 fd:00 5724       /lib/libdbus-1.so.3.5.6
:0708e000-0710c000 r-xp 00000000 fd:00 6010       /usr/lib/libpixman-1.so.0.22.2
:0710c000-07110000 r--p 0007d000 fd:00 6010       /usr/lib/libpixman-1.so.0.22.2
:07110000-07111000 rw-p 00081000 fd:00 6010       /usr/lib/libpixman-1.so.0.22.2
:08048000-0806c000 r-xp 00000000 fd:00 47866      /usr/bin/gigolo
:0806c000-0806d000 rw-p 00024000 fd:00 47866      /usr/bin/gigolo
:08187000-082db000 rw-p 00000000 00:00 0          [heap]
:b35a2000-b3602000 rw-s 00000000 00:04 2162695    /SYSV00000000 (deleted)
:b3602000-b364a000 rw-s 00000000 00:04 2129925    /SYSV00000000 (deleted)
:b364a000-b3665000 r--s 00000000 fd:00 53048      /usr/share/mime/mime.cache
:b3665000-b3715000 r--p 00000000 fd:00 33315      /usr/share/fonts/dejavu/DejaVuSans.ttf
:b3715000-b3718000 r--s 00000000 fd:00 57372      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
:b3718000-b371e000 r--s 00000000 fd:00 56847      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
:b371e000-b3720000 r--s 00000000 fd:00 63267      /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
:b3720000-b3722000 r--s 00000000 fd:00 63171      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
:b3722000-b3724000 r--s 00000000 fd:00 63242      /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
:b3724000-b3725000 r--s 00000000 fd:00 63295      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
:b3725000-b3727000 r--s 00000000 fd:00 63250      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
:b3727000-b3728000 r--s 00000000 fd:00 63313      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
:b3728000-b3729000 r--s 00000000 fd:00 63307      /var/cache/fontconfig/ac68f755438cc3dc5a526084839fc7ca-le32d4.cache-3
:b3729000-b372a000 r--s 00000000 fd:00 63273      /var/cache/fontconfig/12513961c6e7090f8648812f9eaf65d6-le32d4.cache-3
:b372a000-b372c000 r--s 00000000 fd:00 63261      /var/cache/fontconfig/e26bf336397aae6fcef4d3803472adec-le32d4.cache-3
:b372c000-b372d000 r--s 00000000 fd:00 63206      /var/cache/fontconfig/a5c2dc934fad9bbf30c854216245519d-le32d4.cache-3
:b372d000-b372e000 r--s 00000000 fd:00 63299      /var/cache/fontconfig/17e60ccdf2eb53b214a9a5d6663eb217-le32d4.cache-3
:b372e000-b3730000 r--s 00000000 fd:00 56108      /var/cache/fontconfig/cfde08ab28ad1d91784abb10973575e3-le32d4.cache-3
:b3730000-b3731000 r--s 00000000 fd:00 63202      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
:b3731000-b3732000 r--s 00000000 fd:00 63241      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
:b3732000-b3733000 r--s 00000000 fd:00 63186      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
:b3733000-b3734000 r--s 00000000 fd:00 63178      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
:b3734000-b3735000 r--s 00000000 fd:00 63286      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
:b3735000-b3736000 r--s 00000000 fd:00 63194      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
:b3736000-b3737000 r--s 00000000 fd:00 63258      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d4.cache-3
:b3737000-b3738000 r--s 00000000 fd:00 63294      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
:b3738000-b3739000 r--s 00000000 fd:00 63214      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
:b3739000-b373a000 r--s 00000000 fd:00 63247      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
:b373a000-b373d000 r--s 00000000 fd:00 63279      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
:b373d000-b373e000 r--s 00000000 fd:00 63233      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
:b373e000-b373f000 r--s 00000000 fd:00 63278      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
:b373f000-b3746000 r--s 00000000 fd:00 63296      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
:b3746000-b374c000 r--s 00000000 fd:00 63232      /var/cache/fontconfig/928306c3ad40271d946e41014a49fc28-le32d4.cache-3
:b374c000-b3b44000 r--p 00000000 fd:00 49363      /usr/share/icons/hicolor/icon-theme.cache
:b3b44000-b74f6000 r--p 00000000 fd:00 49650      /usr/share/icons/gnome/icon-theme.cache
:b74f6000-b7548000 r--p 00000000 fd:00 49652      /usr/share/icons/Fedora/icon-theme.cache
:b7548000-b7748000 r--p 00000000 fd:00 5578       /usr/lib/locale/locale-archive
:b7748000-b7752000 rw-p 00000000 00:00 0 
:b7760000-b7761000 rw-p 00000000 00:00 0 
:bfb22000-bfb43000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Oct 23 08:35:55 localhost kernel: [ 3371.175212] gigolo[1732]: segfault at 38 ip 00865dd8 sp bf871270 error 4 in libgtk-x11-2.0.so.0.2400.7[5be000+4a0000]
:Oct 23 08:35:55 localhost abrt[1791]: saved core dump of pid 1732 (/usr/bin/gigolo) to /var/spool/abrt/ccpp-2011-10-23-08:35:55-1732 (3092480 bytes)
:Oct 23 08:38:50 localhost kernel: [ 3546.231000] gigolo[1964]: segfault at 38 ip 00885dd8 sp bfb41200 error 4 in libgtk-x11-2.0.so.0.2400.7[5de000+4a0000]
:Oct 23 08:38:50 localhost abrt[1966]: saved core dump of pid 1964 (/usr/bin/gigolo) to /var/spool/abrt/ccpp-2011-10-23-08:38:50-1964 (3026944 bytes)

xsession_errors:
:(gigolo:1732): Gtk-CRITICAL **: IA__gtk_widget_unrealize: assertion `GTK_IS_WIDGET (widget)' failed
:(gigolo:1732): Gtk-CRITICAL **: IA__gtk_widget_is_toplevel: assertion `GTK_IS_WIDGET (widget)' failed
:(gigolo:1964): Gtk-CRITICAL **: IA__gtk_widget_unrealize: assertion `GTK_IS_WIDGET (widget)' failed
:(gigolo:1964): Gtk-CRITICAL **: IA__gtk_widget_is_toplevel: assertion `GTK_IS_WIDGET (widget)' failed
Comment 1 Christoph Wickert 2011-10-23 08:49:35 EDT
Created attachment 529677 [details]
File: coredump
Comment 2 Christoph Wickert 2011-10-23 08:49:38 EDT
Created attachment 529678 [details]
File: backtrace
Comment 3 Christoph Wickert 2011-10-23 09:55:28 EDT
Proposing this bug to block F16-accepted because it violates the following Release critieria [1] "All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use."

http://fedoraproject.org/wiki/Fedora_16_Final_Release_Criteria
Comment 4 Christoph Wickert 2011-10-23 15:59:02 EDT
I did not file this one in Xfce's bugzilla since I already pinged Enrico on IRC. He can reproduce the problem on his Debian box after upgrading gtk to 2.24.7 and will fix it this week. Let's hope we get the fix in time.
Comment 5 Christoph Wickert 2011-10-23 17:43:18 EDT
Fix available at http://git.xfce.org/apps/gigolo/commit/?id=0e53ec5c
Comment 6 Fedora Update System 2011-10-23 18:06:32 EDT
gigolo-0.4.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gigolo-0.4.1-3.fc16
Comment 7 Fedora Update System 2011-10-24 00:01:25 EDT
Package gigolo-0.4.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gigolo-0.4.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14795
then log in and leave karma (feedback).
Comment 8 Adam Williamson 2011-10-24 21:49:36 EDT
'blocker' bug in non-blocking desktop -> +1 NTH. (per comment #3).
Comment 9 Fedora Update System 2011-10-24 23:37:19 EDT
gigolo-0.4.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.